Skip to main content
PATCH
Partially update project_group

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Path Parameters

project_group_id
string<uuid>
required

ProjectGroup id

Body

application/json

Fields to update

name
string | null

Name of the project group

Minimum string length: 1
description
string | null

Textual description of the project group

add_member_projects
string<uuid>[] | null

A list of project IDs to add to the project group

Maximum array length: 1000
remove_member_projects
string<uuid>[] | null

A list of project IDs to remove from the project group

Maximum array length: 1000

Response

Returns the project_group object

A project group is a collection of projects which can inherit access from project-group ACLs

id
string<uuid>
required

Unique identifier for the project group

org_id
string<uuid>
required

Unique id for the organization that the project group belongs under

It is forbidden to change the org after creating a project group

name
string
required

Name of the project group

member_projects
string<uuid>[]
required

Sorted ids of active projects in this project group

Maximum array length: 10000
user_id
string<uuid> | null

Identifies the user who created the project group

created
string<date-time> | null

Date of project group creation

description
string | null

Textual description of the project group

deleted_at
string<date-time> | null

Date of project group deletion, or null if the project group is still active